# Marlin firmware builds

## Touch Mi - Marlin-bugfix-1.1.x

I use this one on my Ender 3 with a [Touch Mi](http://www.hotends.fr/fr/home/64-capteur-auto-leveling-touch-mi.html)

`Configuration.h` and  `Configuration_adv.h` are based on Hotends.fr docs with some more modifications. I used `Marlin-bugfix-1.1.x`  and not the sources provided by `hotends.fr`, so i don't have the Touch Mi custom menus. 

* `S_CURVE_ACCELERATION` is enabled (see https://github.com/synthetos/TinyG/wiki/Jerk-Controlled-Motion-Explained)
* `PIDTEMPBED` is enabled
* `RESTORE_LEVELING_AFTER_G28` is enabled  (see [G29 ABL](http://marlinfw.org/docs/gcode/G029-abl.html) for details)
* `ENABLE_LEVELING_FADE_HEIGHT` is enabled  (see [Marlin issue #7562](https://github.com/MarlinFirmware/Marlin/issues/7562) for details)
* as I need moar `PROGMEM` and use[OctoPrint](https://octoprint.org/), `SDSUPPORT` is disabled but i can keep `DISABLE_M503` unused
* Step/mm, PIDs are feeded from my own values.
* `GRID_MAX_POINTS_X` & `GRID_MAX_POINTS_Y` are set to 5
* `*_PROBE_BED_POSITION` defines are updated (see Below)

I've modified the `*_PROBE_BED_POSITION` defines to use probe offsets

```c
// Set the boundaries for probing (where the probe can reach).
#define LEFT_PROBE_BED_POSITION MIN_PROBE_EDGE
#define RIGHT_PROBE_BED_POSITION (X_BED_SIZE + X_PROBE_OFFSET_FROM_EXTRUDER - MIN_PROBE_EDGE)
#define FRONT_PROBE_BED_POSITION MIN_PROBE_EDGE
#define BACK_PROBE_BED_POSITION (Y_BED_SIZE + Y_PROBE_OFFSET_FROM_EXTRUDER - MIN_PROBE_EDGE)
```

> NOTES : PID values are for my 0.4mm steel nozzle and borosillicate bed. Ender 3 is mainly stock, the only hardware updates atm are dampers on all stepper and TLSmoothers on X,Y & Z.

Some explainations about how it used id in the [Wiki](https://git.dahwa.fr/3DPrinting/Tips/wiki/TouchMi)